package cn.com.qmth.examcloud.core.questions.dao.entity;

import org.bson.types.ObjectId;

import java.io.Serializable;

/**
 * Created by songyue on 16/12/27.
 */
public class QuesResource implements Serializable {
    private static final long serialVersionUID = 1L;

    private String resourceNo;//资源编号

    private String resourceType;//资源类型(题干、答案等)

    private String fileType;//文件类型(png、gif)

    private int sort;//排序

    private ObjectId fileId;//GridFs中存储地址

    public String getResourceNo() {
        return resourceNo;
    }

    public void setResourceNo(String resourceNo) {
        this.resourceNo = resourceNo;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public int getSort() {
        return sort;
    }

    public void setSort(int sort) {
        this.sort = sort;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public ObjectId getFileId() {
        return fileId;
    }

    public void setFileId(ObjectId fileId) {
        this.fileId = fileId;
    }

    public QuesResource() {

    }

}